当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 5 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : ./configure 出错
帖子发表于 : 2006-11-16 21:44 

注册: 2006-11-13 21:07
帖子: 13
送出感谢: 0 次
接收感谢: 0 次
大大们,我在编译安装一个软件时遇到了问题.当我用 ./configure 来生成makefile文件,系统给出了如下的错误提示.请大大帮忙看看是什么问题!!


root@linux:~# cd /usr/local
root@linux:/usr/local# cd mangos-0.5/
root@linux:/usr/local/mangos-0.5# ./configure
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking whether to enable maintainer-specific portions of Makefiles... no
checking for gcc... gcc
checking for C compiler default output file name... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables...
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ANSI C... none needed
checking for style of include used by make... GNU
checking dependency style of gcc... gcc3
checking for g++... no
checking for c++... no
checking for gpp... no
checking for aCC... no
checking for CC... no
checking for cxx... no
checking for cc++... no
checking for cl... no
checking for FCC... no
checking for KCC... no
checking for RCC... no
checking for xlC_r... no
checking for xlC... no
checking whether we are using the GNU C++ compiler... no
checking whether g++ accepts -g... no
checking dependency style of g++... none
./configure: line 3146: AC_PROG_LIBTOOL: command not found
checking for a BSD-compatible install... /usr/bin/install -c
./configure: line 3235: AM_PROG_LIBTOOL: command not found
checking for python... /usr/bin/python
./configure: line 3305: +: command not found
checking for pthread_create in -lpthread... no
configure: error: Missing pthread


谢谢了,在线等回复


页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2006-11-17 12:04 

注册: 2006-11-17 10:56
帖子: 42
送出感谢: 0 次
接收感谢: 0 次
没有装GCC.装一下就可以.


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2006-11-17 12:07 

注册: 2006-11-17 10:56
帖子: 42
送出感谢: 0 次
接收感谢: 0 次
你应该是新系统吧?没有编译环境
我在debian下.用apt-get install build-essential就可以安装好你的编译环境.
在ubuntu下不知道.没用过这个系统


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2006-11-18 14:15 

注册: 2006-08-28 16:52
帖子: 131
地址: 上海外国语大学
送出感谢: 0 次
接收感谢: 0 次
同意楼上的


_________________
Sunken Boot


页首
 用户资料  
 
5 楼 
 文章标题 :
帖子发表于 : 2006-11-18 18:40 

注册: 2006-11-17 14:04
帖子: 12
送出感谢: 0 次
接收感谢: 0 次
sudo apt-get install build-essential
sudo apt-get install ncurses-dev
sudo apt-get install autoconf
sudo apt-get install automake
sudo apt-get install m4
sudo apt-get install libgtk2.0-dev
这几个是最基本要做的。
其它,如果你下的是DVD版的,里面很多都有,光驱里有光盘或是在VMWARE下时,ISO镜像挂上了虚拟光驱后,启动UBUNTU后,一进入GNOME会提示你是否运行包管理器,是后出来的界面里有development的两个,在里面选,如果还要安装其它的,进去查吧,东西太多。如果你下的是CD的ISO,也没关系,可以上网的话,会自动上网下的。


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 5 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译